Package org.zkoss.zkmax.ui.http

## Class EmbeddedServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.zkoss.zkmax.ui.http.EmbeddedServlet

- All Implemented Interfaces:
    `java.io.Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      public class EmbeddedServlet
      extends javax.servlet.http.HttpServlet

  A servlet that serves the embedded JavaScript file for ZK components.

  This servlet loads the embedded frontend JavaScript resources from classpath and returns them as a JavaScript response. It's primarily used for providing client-side resources needed by embedded ZK components.

  The servlet will look for the JavaScript file at the path "/web/js/zkmax/embedded/index.js" in the classpath and serve its content with the appropriate content type.

  Since:
    10.0.0
  Author:
    Jamson Chan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EmbeddedServlet()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `doGet​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` |

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EmbeddedServlet

          public EmbeddedServlet()

  - ### Method Detail

    - #### doGet

          protected void doGet​(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)

      Overrides:
        `doGet` in class `javax.servlet.http.HttpServlet`